Page 1 of 1

apache upgrade issue in cenots 6

Posted: 2019/10/05 07:09:51
by neerajkappa
Dear Experts ,


I have centos version 6x and we have httpd version configured 2.2.15 , now day we trying to enable
ssl for some sites on our own webserver with dns so requirement is this to
upgrade my apache 2.2.15 to at least 2.4 due to SSL Enabling for some sites


so is there any process to upgrade my running apache on production server without effecting running server.
if this is possible then share steps with me community members it will be really helpful for me.

Thanks in Advance
Neeraj Sharma :roll:

Re: apache upgrade issue in cenots 6

Posted: 2019/10/05 11:40:11
by TrevorH
There is no requirement to run apache httpd 2.4.x just to do SSL.. All you need to do is yum install mod_ssl and then configure your certificates.

Re: apache upgrade issue in cenots 6

Posted: 2019/10/07 09:50:14
by neerajkappa
yum install mod_ssl already installed


but still issue as it is ERR_SSL_PROTOCOL_ERROR

Re: apache upgrade issue in cenots 6

Posted: 2019/10/07 10:31:27
by TrevorH
Then you have a different problem. Fix that.